gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.MountOperationHandlerProxyClass_

Contents

- Exported types
- Methods

Description

Class structure for `MountOperationHandlerProxy_`.

Synopsis

- newtype MountOperationHandlerProxyClass_ = MountOperationHandlerProxyClass_ (ManagedPtr MountOperationHandlerProxyClass_)
- newZeroMountOperationHandlerProxyClass_ :: MonadIO m => m MountOperationHandlerProxyClass_

# Exported types

newtype MountOperationHandlerProxyClass_ Source #

Memory-managed wrapper type.

Constructors

MountOperationHandlerProxyClass_ (ManagedPtr MountOperationHandlerProxyClass_) |

#### Instances

Instances details

Eq MountOperationHandlerProxyClass_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerProxyClass_ Methods (==) :: MountOperationHandlerProxyClass_ -> MountOperationHandlerProxyClass_ -> Bool Source # (/=) :: MountOperationHandlerProxyClass_ -> MountOperationHandlerProxyClass_ -> Bool Source #
BoxedPtr MountOperationHandlerProxyClass_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerProxyClass_ Methods boxedPtrCopy :: MountOperationHandlerProxyClass_ -> IO MountOperationHandlerProxyClass_ Source # boxedPtrFree :: MountOperationHandlerProxyClass_ -> IO () Source #
CallocPtr MountOperationHandlerProxyClass_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerProxyClass_ Methods boxedPtrCalloc :: IO (Ptr MountOperationHandlerProxyClass_) Source #
ManagedPtrNewtype MountOperationHandlerProxyClass_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerProxyClass_ Methods toManagedPtr :: MountOperationHandlerProxyClass_ -> ManagedPtr MountOperationHandlerProxyClass_ Source #
tag ~ 'AttrSet => Constructible MountOperationHandlerProxyClass_ tag Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerProxyClass_ Methods new :: MonadIO m => (ManagedPtr MountOperationHandlerProxyClass_ -> MountOperationHandlerProxyClass_) -> [AttrOp MountOperationHandlerProxyClass_ tag] -> m MountOperationHandlerProxyClass_ Source #

newZeroMountOperationHandlerProxyClass_ :: MonadIO m => m MountOperationHandlerProxyClass_ Source #

Construct a `MountOperationHandlerProxyClass_` struct initialized to zero.

# Methods